# Do not edit this file; it's autogenerated.

load common


@test 'custom build chtest' {
    scope quick
    TARBALL=$TARDIR/chtest.tar.gz
    PQ=$TARDIR/chtest.pq_missing
    WORKDIR=$TARDIR/chtest.tmp
    rm -f $PQ
    mkdir $WORKDIR
    cd chtest
    run ./Build $PWD $TARBALL $WORKDIR
    echo "$output"
    rm -Rf $WORKDIR
    if [[ $status -eq 65 ]]; then
         touch $PQ
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build missing' {
    scope quick
    TARBALL=$TARDIR/missing.tar.gz
    PQ=$TARDIR/missing.pq_missing
    WORKDIR=$TARDIR/missing.tmp
    rm -f $PQ
    mkdir $WORKDIR
    cd .
    run ./Build.missing $PWD $TARBALL $WORKDIR
    echo "$output"
    rm -Rf $WORKDIR
    if [[ $status -eq 65 ]]; then
         touch $PQ
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'ch-build alpine36' {
    scope quick
    need_docker alpine36
    ch-build -t alpine36 --file=Dockerfile.alpine36 ..
    docker_ok alpine36
}
@test 'ch-docker2tar alpine36' {
    scope quick
    need_docker
    TARBALL=$TARDIR/alpine36.tar.gz
    ch-docker2tar alpine36 $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build alpineedge' {
    scope full
    need_docker alpineedge
    ch-build -t alpineedge --file=Dockerfile.alpineedge ..
    docker_ok alpineedge
}
@test 'ch-docker2tar alpineedge' {
    scope full
    need_docker
    TARBALL=$TARDIR/alpineedge.tar.gz
    ch-docker2tar alpineedge $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build centos6' {
    scope full
    need_docker centos6
    ch-build -t centos6 --file=Dockerfile.centos6 ..
    docker_ok centos6
}
@test 'ch-docker2tar centos6' {
    scope full
    need_docker
    TARBALL=$TARDIR/centos6.tar.gz
    ch-docker2tar centos6 $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build centos7' {
    scope full
    need_docker centos7
    ch-build -t centos7 --file=Dockerfile.centos7 ..
    docker_ok centos7
}
@test 'ch-docker2tar centos7' {
    scope full
    need_docker
    TARBALL=$TARDIR/centos7.tar.gz
    ch-docker2tar centos7 $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build debian9' {
    scope standard
    need_docker debian9
    ch-build -t debian9 --file=Dockerfile.debian9 ..
    docker_ok debian9
}
@test 'ch-docker2tar debian9' {
    scope standard
    need_docker
    TARBALL=$TARDIR/debian9.tar.gz
    ch-docker2tar debian9 $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build fromhost' {
    scope standard
    need_docker fromhost
    ch-build -t fromhost --file=Dockerfile.fromhost ..
    docker_ok fromhost
}
@test 'ch-docker2tar fromhost' {
    scope standard
    need_docker
    TARBALL=$TARDIR/fromhost.tar.gz
    ch-docker2tar fromhost $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build openmpi' {
    scope full
    need_docker openmpi
    ch-build -t openmpi --file=Dockerfile.openmpi ..
    docker_ok openmpi
}
@test 'ch-docker2tar openmpi' {
    scope full
    need_docker
    TARBALL=$TARDIR/openmpi.tar.gz
    ch-docker2tar openmpi $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build python3' {
    scope full
    need_docker python3
    ch-build -t python3 --file=Dockerfile.python3 ..
    docker_ok python3
}
@test 'ch-docker2tar python3' {
    scope full
    need_docker
    TARBALL=$TARDIR/python3.tar.gz
    ch-docker2tar python3 $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build ubuntu1604' {
    scope full
    need_docker ubuntu1604
    ch-build -t ubuntu1604 --file=Dockerfile.ubuntu1604 ..
    docker_ok ubuntu1604
}
@test 'ch-docker2tar ubuntu1604' {
    scope full
    need_docker
    TARBALL=$TARDIR/ubuntu1604.tar.gz
    ch-docker2tar ubuntu1604 $TARDIR
    tarball_ok $TARBALL
}

@test 'docker pull alpine36_dp' {
    scope quick
    need_docker alpine36_dp
    sudo docker pull alpine:3.6
    sudo docker tag alpine:3.6 alpine36_dp
}
@test 'ch-docker2tar alpine36_dp' {
    scope quick
    need_docker
    TARBALL=$TARDIR/alpine36_dp.tar.gz
    ch-docker2tar alpine36_dp $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build lammps' {
    scope full
    need_docker lammps
    ch-build -t lammps --file=../examples/mpi/lammps/Dockerfile ..
    docker_ok lammps
}
@test 'ch-docker2tar lammps' {
    scope full
    need_docker
    TARBALL=$TARDIR/lammps.tar.gz
    ch-docker2tar lammps $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build mpibench' {
    scope full
    need_docker mpibench
    ch-build -t mpibench --file=../examples/mpi/mpibench/Dockerfile ..
    docker_ok mpibench
}
@test 'ch-docker2tar mpibench' {
    scope full
    need_docker
    TARBALL=$TARDIR/mpibench.tar.gz
    ch-docker2tar mpibench $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build mpihello' {
    scope full
    need_docker mpihello
    ch-build -t mpihello --file=../examples/mpi/mpihello/Dockerfile ..
    docker_ok mpihello
}
@test 'ch-docker2tar mpihello' {
    scope full
    need_docker
    TARBALL=$TARDIR/mpihello.tar.gz
    ch-docker2tar mpihello $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build paraview' {
    scope full
    need_docker paraview
    ch-build -t paraview --file=../examples/mpi/paraview/Dockerfile ..
    docker_ok paraview
}
@test 'ch-docker2tar paraview' {
    scope full
    need_docker
    TARBALL=$TARDIR/paraview.tar.gz
    ch-docker2tar paraview $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build spark' {
    scope standard
    need_docker spark
    ch-build -t spark --file=../examples/other/spark/Dockerfile ..
    docker_ok spark
}
@test 'ch-docker2tar spark' {
    scope standard
    need_docker
    TARBALL=$TARDIR/spark.tar.gz
    ch-docker2tar spark $TARDIR
    tarball_ok $TARBALL
}

@test 'ch-build hello' {
    scope standard
    need_docker hello
    ch-build -t hello --file=../examples/serial/hello/Dockerfile ..
    docker_ok hello
}
@test 'ch-docker2tar hello' {
    scope standard
    need_docker
    TARBALL=$TARDIR/hello.tar.gz
    ch-docker2tar hello $TARDIR
    tarball_ok $TARBALL
}
